package com.digiwin.athena.app.ptc.infra.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @auther: zhenggl
 * @date: 2023/9/12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_limit_credit", autoResultMap = true)
public class LimitCreditEntity {

    /** 客户编号 */
    @SerializedName(value = "customer_no")
    private String customerNo;

    /** 客户名称 */
    @SerializedName(value = "customer_name")
    private String customerName;

    /** 信用额度 */
    @SerializedName(value = "limit_amount")
    private BigDecimal limitAmount;
}
